Subject: Re: advise on using fetchmail
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Fri, 3 May 2002 00:05:47 +0200

Jason schrieb:

> On Tue, Apr 30, 2002 at 02:09:44PM +0100, Mark Cooke wrote:
>> fetchmail -u mark
>> 
>> results in this error all the time:
>> 
>> fetchmail: SMTP connect to localhost failed
>> fetchmail: can't raise the listener; falling back to 
>> /usr/local/bin/procmail -d %T

> I have never seen the above error message.

I get this always when my SMTP server is not available.
My fetchmail falls back to /usr/sbin/sendmail ... then as I'm not
using procmail.  It is not a real error, it is normal if you have
procmail support compiled in and no SMTP daemon is running.

Use the config settings from Jason to override the search for a
SMTP daemon on the localhost.

> I have been successful using the the following .fetchmailrc file:

> set logfile /var/log/fetchmail.log
> set invisible                       # suppress "Received:" line fetchmail adds
> set no bouncemail

> poll "my.server.net"                # *** change as appropriate ***
> protocol pop3
> username "MyUserName"               # *** change as appropriate ***
> password "MyPassword"               # *** change as appropriate ***
> fetchall
> nokeep                              # delete successfully received
> messages
> mda "/usr/local/bin/procmail -d %T" # pass message to the local MDA

> Is your .fetchmailrc file similar to the above?

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/